import numpy as np
import scipy.stats as ss

data = [
        [79, 72], [77, 70], [74, 75], [53, 44], [76, 52], 
        [68, 60], [96, 96], [85, 71], [74, 49], [93, 80], 
        [54, 55], [86, 70], [89, 96], [87, 87], [81, 81], 
        [84, 85], [78, 64], [76, 53], [54, 57], [75, 60]
        ]

A = []
B = []
for v in data:
    A.append(v[0])
    B.append(v[1])

r = np.corrcoef(A, B)      #    ピアソンの積率相関係数

print(r)
print('相関係数 = ', r[0][1])

C = np.cov(A, B)
print(C)
print('推定共分散 = ', C[0][1])
n = len(data)
C1 = C * (n-1) / n
print('標本共分散 = ', C1[0][1])

sprmn_r, p_spr = ss.spearmanr(A, B)      #   スピアマンの順位相関係数
print('Spearman = ',sprmn_r, '   p_value = {0:.5f}'.format(p_spr))
kndl_tau, p_kndl = ss.kendalltau(A, B)   #   ケンドールの順位相関係数
print("Kendall's tau = ", kndl_tau, '    p-value = {0:.5f}'.format(p_kndl))
